Subject: bug#44979: project-search fails with file-missing error

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Dec 2020 17:34:11 +0200

> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 1 Dec 2020 05:15:50 +0200
> 
> Not such what's the best solution, but either all commands which use 
> fileloop should pre-filter the list with file-exists-p, or 
> fileloop-next-file should skip over nonexistent files. This seems to work:

If we want to fix this in fileloop, I think it should be conditioned
on some variable, so that packages could opt-in to and opt-out of this
behavior.  I see no reason to assume that every application using
fileloop will always want to silently skip such files.